Get a single member
curl --request GET \
--url https://qodo-platform.{tenant}.st.qodo.ai/platform/v1/admin/users/{member_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://qodo-platform.{tenant}.st.qodo.ai/platform/v1/admin/users/{member_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://qodo-platform.{tenant}.st.qodo.ai/platform/v1/admin/users/{member_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"member_id": "<string>",
"email": "jsmith@example.com",
"type": "user",
"team_role": "owner",
"is_organization_owner": true,
"name": "<string>",
"last_login": "2023-11-07T05:31:56Z",
"team": {
"id": "<string>",
"name": "<string>"
},
"linked_git_accounts": [
"github"
],
"enterprise_user_name": "<string>",
"baseUrl": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": {
"redirectTo": "<string>"
}
}{
"detail": "<string>"
}{
"detail": "<string>"
}API reference
Get a single member
Returns a registered user or pending invitation in the caller’s workspace.
GET
/
platform
/
v1
/
admin
/
users
/
{member_id}
Get a single member
Authorizations
A personal sk- API key that belongs to an organization owner. Send it as Authorization: Bearer sk-.... See Set up the User management API.
Headers
A unique request ID generated by the client for request tracing.
Path Parameters
The user's email address or the pending invitation ID.
Response
The requested member.
Use this value in the get, update, and remove member endpoints.
Whether the member is a registered user or a pending invitation.
Available options:
user, invite Available options:
owner, user Show child attributes
Show child attributes
Available options:
github, gitlab, bitbucket, azure Was this page helpful?